import { AnimationEvent } from '@angular/animations';
import { BasePortalOutlet, ComponentPortal, TemplatePortal } from '@angular/cdk/portal';
import { ComponentRef, EmbeddedViewRef, EventEmitter } from '@angular/core';
export declare class NtContextMenuComponent extends BasePortalOutlet {
    private _portalOutlet;
    state: 'void' | 'enter' | 'exit';
    animationStateChanged: EventEmitter<AnimationEvent>;
    constructor();
    attachComponentPortal<T>(portal: ComponentPortal<T>): ComponentRef<T>;
    attachTemplatePortal<C>(portal: TemplatePortal<C>): EmbeddedViewRef<C>;
    onAnimationDone(event: AnimationEvent): void;
    onAnimationStart(event: AnimationEvent): void;
    exit(): void;
    _onInteractionEvent(event: Event): boolean;
}
